Runtime

## org.eclipse.gmf.runtime.common.ui.dialogs
Class PropertiesDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.jface.preference.PreferenceDialog
                      org.eclipse.gmf.runtime.common.ui.dialogs.PropertiesDialog

All Implemented Interfaces:
  IPageChangeProvider, IPreferencePageContainer, IShellProvider

public class PropertiesDialog
extends PreferenceDialog

A Preference Dialog which has a Close button in place of OK/Cancel buttons, and titled "Properties" in place of "Preferences"

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`static int` `CLOSE` return code constant (value 2) indicating that the window was canceled.

Fields inherited from class org.eclipse.jface.preference.PreferenceDialog
`FAILED, PREF_DLG_IMG_TITLE_ERROR, PREF_DLG_TITLE_IMG`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`PropertiesDialog(Shell parentShell, PreferenceManager manager)` PropertiesDialog constructor

Method Summary
`protected void` `buttonPressed(int buttonId)`
`protected void` `createButtonsForButtonBar(Composite parent)`
`protected Control` `createDialogArea(Composite parent)`
`void` `updateButtons()`

Methods inherited from class org.eclipse.jface.preference.PreferenceDialog

`addListeners, addPageChangedListener, cancelPressed, close, configureShell, constrainShellSize, createContents, createPage, createPageContainer, createPageControl, createSash, createTitleArea, createTreeAreaContents, createTreeViewer, findNodeMatching, firePageChanged, getCurrentPage, getLastRightWidth, getPage, getPageContainer, getPageLayout, getPreferenceManager, getPreferenceStore, getSelectedNodePreference, getSelectedPage, getSingleSelection, getTreeViewer, handleSave, handleShellCloseEvent, helpPressed, isCurrentPageValid, layoutTreeAreaControl, okPressed, removePageChangedListener, selectSavedItem, setCurrentPage, setErrorMessage, setMessage, setMessage, setMinimumPageSize, setMinimumPageSize, setPageContainer, setPreferenceStore, setSelectedNode, setSelectedNodePreference, setTreeViewer, showPage, update, updateMessage, updateTitle, updateTreeFont`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSE

    public static final int CLOSE

  return code constant (value 2) indicating that the window was canceled.

  See Also:
    Constant Field Values

Constructor Detail

### PropertiesDialog

    public PropertiesDialog(Shell parentShell,
                            PreferenceManager manager)

  PropertiesDialog constructor

Parameters:
  `parentShell` - the parent shell
  `manager` - the preference manager

Method Detail

### updateButtons

    public void updateButtons()

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

### createDialogArea

    protected Control createDialogArea(Composite parent)

### buttonPressed

    protected void buttonPressed(int buttonId)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.